<?php

namespace RUMCWV;

if (!defined('ABSPATH')) {
    die('Let\'s not do this');
}



class RUMCWV_Dashboard
{

    public static function init()
    {

        add_action('wp_dashboard_setup', 'RUMCWV\RUMCWV_Dashboard::dashboard_widget');
    }



    public static function dashboard_widget()
    {

        wp_add_dashboard_widget('custom_help_ widget', 'Core Web Vitals RUM data', 'RUMCWV\RUMCWV_Dashboard::dashboard_data', null, null, 'column3', 'high');
    }

    public static function dashboard_data()
    {

        $data = get_transient('rum_cwv_cache');
        $data = json_decode($data, true);

        echo '<style>.scorebtn{padding: 5px 10px; border-radius: 5px; color: #fff; font-size: 10px;}.scorebtn.good{background-color: #4caf50;}.scorebtn.needsimprovement{background-color: #ffc107;}.scorebtn.poor{background-color: #f44336;}</style>';
        echo '<table class="form-table">';
        foreach (RUMCWV_RumDB::$aMetrics as $metric) {
            $score = $data[$metric]['p75'] < RUMCWV_RumDB::$aScores[$metric][0] ? 'good' : ($data[$metric]['p75'] < RUMCWV_RumDB::$aScores[$metric][1] ? 'needsimprovement' : 'poor');
            $p75 = $data[$metric]['p75'];
            
            echo '<tr>';
            echo '<td width="100%"><b>' . esc_html($metric) . '<b/></td>';
            echo '<td>' . esc_html($p75) . 'ms</td>';
            echo '<td with="120"><span class="scorebtn ' . esc_html($score) . '">' . esc_html($score) . '</span></td>';
            echo '</tr>';
        }

        echo '</table>';

        $url = esc_url(add_query_arg(
            'page',
            'rum_core_web_vitals',
            get_admin_url() . 'admin.php'
        ));
        // Create the link.
        echo '<a href="' . $url . '" class="button button-primary">View all RUM data</a>';
    }
}
