<?php

/**
 * Plugin Name: RUM Core Web Vitals
 * Plugin URI:        https://www.corewebvitals.io/rum-cwv
 * Description: Core Web Vitals Real User Metrics
 * Version: 1.0.0
 * Requires at least: 5.0
 * Requires PHP:      7.2
 * Author: Arjen
 * Author URI:         https://profiles.wordpress.org/arjencwv
 * License:           GPL v2 or later
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 */




namespace RUMCWV;


// define constants
define('RUM_CWV_PLUGIN_PATH', plugin_dir_path(__FILE__));
define('RUM_CWV_PLUGIN_DIR', plugin_dir_url(__FILE__));

// now we can load the autoloader
require_once(RUM_CWV_PLUGIN_PATH . 'lib/autoload.php');

// more constants
define('RUM_CWV_SITE_URL', get_site_url());
define('RUM_CWV_VERSION', '1.0.0');


add_action('init', function () {

    // installation and updates
    RUMCWV_Install::init();

    // settings page + menu options, self contained
    RUMCWV_Settings::init();

    // settings page + menu options, self contained
    RUMCWV_Dashboard::init();

    // rum data, self contained, loads fontend and wp-admin stuff
    RUMCWV_Rum::init();
});
